### Signal

# Clutter Text::insert-text

#### Declaration

    void
    insert_text (
      ClutterText* self,
      gchar* new_text,
      gint new_text_length,
      gpointer position,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when text is inserted into the actor by the user. It is emitted before `self` text changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`new_text`

  Type: `gchar*`

  The new text to insert.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`new_text_length`

  Type: `gint`

  The length of the new text, in bytes, or -1 if new_text is nul-terminated.

`position`

  Type: `gpointer`

  The position, in characters, at which to insert the new text. this is an in-out parameter. After the signal emission is finished, it should point after the newly inserted text.

  The argument can be `NULL`.
  The data is owned by the caller of the function.